Debian Bug report logs - #711212
ITP: libfastutil-java -- Java API providing type-specific maps, sets, lists and queues

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Tille <tille@debian.org>

Date: Wed, 5 Jun 2013 14:33:02 UTC

Owned by: Andreas Tille <tille@debian.org>

Severity: wishlist

Fixed in version libfastutil-java/6.5.4-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-med@lists.debian.org, debian-java@lists.debian.org, 580170@bugs.debian.org, wnpp@debian.org:
Bug#711212; Package wnpp. (Wed, 05 Jun 2013 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-med@lists.debian.org, debian-java@lists.debian.org, 580170@bugs.debian.org, wnpp@debian.org. (Wed, 05 Jun 2013 14:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libfastutil-java -- Java API providing type-specific maps, sets, lists and queues
Date: Wed, 05 Jun 2013 16:30:13 +0200
Package: wnpp
Severity: wishlist
Owner: Andreas Tille <tille@debian.org>

* Package name    : libfastutil-java
  Version         : 6.5.4
  Upstream Author : Sebastiano Vigna <vigna@acm.org>
* URL             : http://fastutil.di.unimi.it/
* License         : Apache-2.0, LGP
  Programming Lang: Java
  Description     : Java API providing type-specific maps, sets, lists and queues
 Fastutil extends the Java™ Collections Framework by providing
 type-specific maps, sets, lists and queues with a small memory footprint
 and fast access and insertion; provides also big (64-bit) arrays, sets
 and lists, and fast, practical I/O classes for binary and text files.
 .
 The classes implement their standard counterpart interface (e.g., Map
 for maps) and can be plugged into existing code. Moreover, they provide
 additional features (such as bidirectional iterators) that are not
 available in the standard classes.
 .
 Besides objects and primitive types, fastutil classes provide support
 for references, that is, objects that are compared using the equality
 operator rather than the equals() method.


Remark: I have basically finished the lintian clean packaging and moved
the debian/ dir to

    http://people.debian.org/~tille/packages/libfastutil-java/

In the packaging I used Debian Med team as maintainer which is motivated
by the following reasons:

  1. It is a precondition for one of the Debian Med targets (goby) as
     explained here
      https://lists.debian.org/debian-med/2013/02/msg00152.html
  2. If I would stay the only Uploader it would make sense to keep
     it here because I'm watching this team very closely

However, I honestly think that the packaging should rather be done
inside the Debian Java team and I'm perfectly fine to move the
package in their repository (I can cope with Git and SVN - whatever
is prefered).  I hope that ACLs are set for DDs so I can commit
straight to this dir.  Is there any document that describes things
I should know about this team.

The third option would be to move the package into
   Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
team because my basic motivation to create the package was rather
not the precondition for goby but rather to update mkgmap (that's
why bug #580170 is in CC).

As a last resort I would use collab-maint (which would be the less
prefered option for me).

What do you think?

In any case if you want to become an Uploader of the package and want to
share the maintenance that's more than welcome.

Kind regards

       Andreas.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#711212; Package wnpp. (Wed, 05 Jun 2013 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bourg <ebourg@apache.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 05 Jun 2013 15:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 711212@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: Andreas Tille <tille@debian.org>, 711212@bugs.debian.org
Subject: Re: Bug#711212: ITP: libfastutil-java -- Java API providing type-specific maps, sets, lists and queues
Date: Wed, 05 Jun 2013 17:11:16 +0200
[Message part 1 (text/plain, inline)]
Le 05/06/2013 16:30, Andreas Tille a écrit :

> Remark: I have basically finished the lintian clean packaging and moved
> the debian/ dir to
> 
>     http://people.debian.org/~tille/packages/libfastutil-java/

Quick review:
- A get-orig-source target in debian/rules would be welcome
- There is a typo in debian/copyright: "On Debian systems you can find a
copy of GNU Lesser General Public License at
/usr/share/common-licenses/Apache-2.0"


> What do you think?

There are other libraries depending on fastutil, it may have a wider
usage in the future than your immediate need. I think that would make
sense to put it under the Java Team umbrella so we can help and ensure
its consistency with the other Java packages.

Emmanuel Bourg


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711212; Package wnpp. (Wed, 05 Jun 2013 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Jun 2013 15:54:04 GMT) Full text and rfc822 format available.

Message #15 received at 711212@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Emmanuel Bourg <ebourg@apache.org>
Cc: 711212@bugs.debian.org
Subject: Re: Bug#711212: ITP: libfastutil-java -- Java API providing type-specific maps, sets, lists and queues
Date: Wed, 5 Jun 2013 17:51:26 +0200
Hi Emmanuel,

thanks for your review!

On Wed, Jun 05, 2013 at 05:11:16PM +0200, Emmanuel Bourg wrote:
> Le 05/06/2013 16:30, Andreas Tille a écrit :
> 
> > Remark: I have basically finished the lintian clean packaging and moved
> > the debian/ dir to
> > 
> >     http://people.debian.org/~tille/packages/libfastutil-java/
> 
> Quick review:
> - A get-orig-source target in debian/rules would be welcome

Done:

get-orig-source:
        mkdir -p ../tarballs
        uscan --verbose --force-download --destdir ../tarballs


> - There is a typo in debian/copyright: "On Debian systems you can find a
> copy of GNU Lesser General Public License at
> /usr/share/common-licenses/Apache-2.0"

Hmmm, what exactly is the typo?  Sorry, can't parse it. :-(
 
> > What do you think?
> 
> There are other libraries depending on fastutil, it may have a wider
> usage in the future than your immediate need. I think that would make
> sense to put it under the Java Team umbrella so we can help and ensure
> its consistency with the other Java packages.

That's fine.  Any doc / example package?  Git or SVN prefered?

Kind regards

       Andreas.


-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#711212; Package wnpp. (Wed, 05 Jun 2013 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bourg <ebourg@apache.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 05 Jun 2013 16:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 711212@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: Andreas Tille <tille@debian.org>
Cc: 711212@bugs.debian.org
Subject: Re: Bug#711212: ITP: libfastutil-java -- Java API providing type-specific maps, sets, lists and queues
Date: Wed, 05 Jun 2013 18:04:29 +0200
Le 05/06/2013 17:51, Andreas Tille a écrit :

> get-orig-source:
>         mkdir -p ../tarballs
>         uscan --verbose --force-download --destdir ../tarballs

Thank you. I'm used to see the source tarball installed in the parent
directory. Will it work if copied into ../tarballs instead?


> Hmmm, what exactly is the typo?  Sorry, can't parse it. :-(

There is a mix between LGPL and the Apache-2.0 license at the end.


> That's fine.  Any doc / example package?  Git or SVN prefered?

Use the VCS you prefer, the Java Team works with both.


Emmanuel Bourg




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711212; Package wnpp. (Wed, 05 Jun 2013 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Jun 2013 20:51:04 GMT) Full text and rfc822 format available.

Message #25 received at 711212@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Emmanuel Bourg <ebourg@apache.org>
Cc: 711212@bugs.debian.org
Subject: Re: Bug#711212: ITP: libfastutil-java -- Java API providing type-specific maps, sets, lists and queues
Date: Wed, 5 Jun 2013 22:49:45 +0200
On Wed, Jun 05, 2013 at 06:04:29PM +0200, Emmanuel Bourg wrote:
> Le 05/06/2013 17:51, Andreas Tille a écrit :
> 
> > get-orig-source:
> >         mkdir -p ../tarballs
> >         uscan --verbose --force-download --destdir ../tarballs
> 
> Thank you. I'm used to see the source tarball installed in the parent
> directory. Will it work if copied into ../tarballs instead?

As far as I know svn-buildpackage is using tarballs there (but I
personally do not use svn-buildpackage - it's just that we have some
people in Debian Med team who really love the setting above.  I do
absolutely not mind.  Feel free to change it - it is in

  svn://svn.debian.org/svn/pkg-java/trunk/libfastutil-java

now. ;-)

If I do not hear anything from you I'll upload tomorrow with what
I find in SVN.

> > Hmmm, what exactly is the typo?  Sorry, can't parse it. :-(
> 
> There is a mix between LGPL and the Apache-2.0 license at the end.

Thanks for reading "aloud". ;-)

> > That's fine.  Any doc / example package?  Git or SVN prefered?
> 
> Use the VCS you prefer, the Java Team works with both.

Done as mentioned above.

Thanks for your hints

        Andreas. 

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 06 Jun 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Sun, 21 Jul 2013 17:03:56 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Sun, 21 Jul 2013 17:03:56 GMT) Full text and rfc822 format available.

Message #32 received at 711212-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 711212-close@bugs.debian.org
Subject: Bug#711212: fixed in libfastutil-java 6.5.4-1
Date: Sun, 21 Jul 2013 17:00:06 +0000
Source: libfastutil-java
Source-Version: 6.5.4-1

We believe that the bug you reported is fixed in the latest version of
libfastutil-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated libfastutil-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 Jun 2013 14:51:51 +0200
Source: libfastutil-java
Binary: libfastutil-java libfastutil-java-doc
Architecture: source all
Version: 6.5.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 libfastutil-java - Java API providing type-specific maps, sets, lists and queues
 libfastutil-java-doc - API documentation for libfastutil-java
Closes: 711212
Changes: 
 libfastutil-java (6.5.4-1) unstable; urgency=low
 .
   * Initial release (Closes: #711212)
Checksums-Sha1: 
 d928f9b8a82e9fff2f6dcac0b1173f7c88631c89 1446 libfastutil-java_6.5.4-1.dsc
 6ea267dc43b7ec199682f1529f196ead5abab123 376688 libfastutil-java_6.5.4.orig.tar.gz
 456675d41aded3f6b74b88c2353c37bb8b5cf845 2648 libfastutil-java_6.5.4-1.debian.tar.gz
 10f722f59f5fb1ae327a15d90119398f0b6eb7e8 13697808 libfastutil-java_6.5.4-1_all.deb
 8ecf7348ec4532488656e7555e0d7480cd9125f5 3523858 libfastutil-java-doc_6.5.4-1_all.deb
Checksums-Sha256: 
 3e4300c68979c1efcbfd3c52d4184cf360e59f51d17715a9f05b1e4aea8260c8 1446 libfastutil-java_6.5.4-1.dsc
 bc2cc6abb168856c43b9c5f6b468b1cfba4657efd0623a7d7e7800a9e01d966e 376688 libfastutil-java_6.5.4.orig.tar.gz
 74d501b24d9439b4bdc39876867f7588628e58cf40d025531b0b5041f8345725 2648 libfastutil-java_6.5.4-1.debian.tar.gz
 3ae624737f53c395ff42732bb470eec7a9eac60af143772ae3e064a9593cba03 13697808 libfastutil-java_6.5.4-1_all.deb
 f419e007654c87546d43abcfa62736babc3ad00197ccd1eac0e05b6ae05c9e76 3523858 libfastutil-java-doc_6.5.4-1_all.deb
Files: 
 90475b218a4448eadfbde0a8215e758b 1446 java optional libfastutil-java_6.5.4-1.dsc
 3481b72040594d9a5b4ef254e8f17b3b 376688 java optional libfastutil-java_6.5.4.orig.tar.gz
 1daf9bedf79138e417222ea2b17ff22d 2648 java optional libfastutil-java_6.5.4-1.debian.tar.gz
 9733470b6cf38cf0ca24c67be3e272dc 13697808 java optional libfastutil-java_6.5.4-1_all.deb
 4466d13cb7af32dbc0dd804307fe2257 3523858 doc optional libfastutil-java-doc_6.5.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGwegEACgkQYDBbMcCf01qIUQCgmneWRbyPRJJy/oaEtefMOb2B
4lQAoLI+EFUL8yeuwsLLIH10pN5TzVX4
=shNc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Aug 2013 07:27:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:09:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.